// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from tuw_multi_robot_msgs:msg/Vertex.idl
// generated code does not contain a copyright notice

#ifndef TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__VERTEX__STRUCT_H_
#define TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__VERTEX__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'path'
#include "geometry_msgs/msg/detail/point__struct.h"
// Member 'successors'
// Member 'predecessors'
#include "rosidl_runtime_c/primitives_sequence.h"

/// Struct defined in msg/Vertex in the package tuw_multi_robot_msgs.
/**
  * A single vertex in a graph
  * Each vertex of the same graph must have a unique id.
  * Successors and Predecessors must have a common start or end
  * point
 */
typedef struct tuw_multi_robot_msgs__msg__Vertex
{
  /// Vertex id
  uint32_t id;
  /// true if it can be used for planning
  bool valid;
  /// points describing a path from the vertex start to the vertex endpoint
  ///    the first point in the array reprecents the start and the last the endpoint
  ///    this points can also be used by the vehciles local path following algorithm
  geometry_msgs__msg__Point__Sequence path;
  /// the weight of the vertex (e.g. length of the segment)
  uint32_t weight;
  /// fee space next to the vertex
  float width;
  /// edges to successors
  rosidl_runtime_c__uint32__Sequence successors;
  /// edges to predecessor
  rosidl_runtime_c__uint32__Sequence predecessors;
} tuw_multi_robot_msgs__msg__Vertex;

// Struct for a sequence of tuw_multi_robot_msgs__msg__Vertex.
typedef struct tuw_multi_robot_msgs__msg__Vertex__Sequence
{
  tuw_multi_robot_msgs__msg__Vertex * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_multi_robot_msgs__msg__Vertex__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // TUW_MULTI_ROBOT_MSGS__MSG__DETAIL__VERTEX__STRUCT_H_
